<head>
    <meta charset="utf-8">
    <title>Gamecity: the complexity of theoretical games</title>
    <script src="jquery-3.4.1.min.js"></script>
    <script src="main.js"></script>
    <link rel="stylesheet" href="styles.css">
</head>

<body>
    <h1>Gamecity: the complexity of theoretical games</h1>
    <a target="_blank" rel="noopener noreferrer" href="https://gitlab.com/francois.schwarzentruber/gamecity">source code</a>
    <div id="parameters">
        <label>
            <input type=radio name="Players" value="onePlayer">
            <img src="img/agent.png" />One player</input>
        </label>
        <label>
            <input type=radio name="Players" value="twoPlayers" checked>
            <img src="img/agent.png" /><img src="img/agent.png" />
            Two players
            </input>
        </label>
        <label>
            <input type=radio name="Players" value="moreThanTwoPlayers">
            <img src="img/agent.png"/><img src="img/agent.png"/><img src="img/agent.png"/>
            More that two players</input>
        </label>
        </br>
        <label>
            <input type=radio name="information" value="perfectInformation" checked>
            <img src="img/perfectInformation.png" />Perfect information</input>
        </label>
        <label>
            <input type=radio name="information" value="imperfectInformation">
            <img src="img/imperfectInformation.png" />Imperfect information</input>
        </label>
        </br>
        <label>
            <input type=radio name="length" value="boundedLength" checked>
            <img src="img/boundedLength.png" />Bounded length</input>
        </label>
        <label>
            <input type=radio name="length" value="unboundedLength">
            <img src="img/unboundedLength.png" />Unbounded length</input>
        </label>
        </br>
        <label>
            <input type=radio name="representation" value="explicitRepresentation">
            <img src="img/explicitRepresentation.png" />Explicit representation</input>
        </label>
        <label>
            <input type=radio name="representation" value="implicitRepresentation" checked>
            <img src="img/implicitRepresentation.png" />Implicit
            representation</input>
        </label>
        <div class="imperfectInformation">
            <label>
                <input type=radio name="strategy" value="memoryless">Memoryless</input>
            </label>
            <label>
                <input type=radio name="strategy" value="perfectRecall" checked>Perfect Recall</input>
            </label>
        </div>
    </div>
    <div id="info">
        <div class="onePlayer perfectInformation explicitRepresentation">
            Reachability in an explicit graph is NL-complete.
        </div>

        <div class="!onePlayer perfectInformation explicitRepresentation">
            Alternating reachability in an explicit graph is PTIME-complete.
        </div>


        <div class="onePlayer perfectInformation boundedLength implicitRepresentation">
            Bounded Classical planning is NP-complete. TILING OF A SQUARE OF UNARY SIZE is NP-complete.
        </div>

        <div class="onePlayer perfectInformation unboundedLength implicitRepresentation">
            Classical planning is PSPACE-complete.

            CORRIDOR TILING is PSPACE-complete.
        </div>

        <div class="!onePlayer perfectInformation boundedLength implicitRepresentation">
            TQBF is PSPACE-complete. (please contribute to add more stuff!)


        </div>

        <div class="!onePlayer perfectInformation unboundedLength implicitRepresentation">
            TWO PLAYER CORRIDOR TILING is EXPTIME-complete.
        </div>

        <div class="!onePlayer imperfectInformation boundedLength implicitRepresentation">
            Dependence QBF is NEXPTIME-complete.
        </div>


        <div class="imperfectInformation boundedLength implicitRepresentation">
            Model checking of DEL is PSPACE-complete.
        </div>

        <div class="imperfectInformation unboundedLength">
            Epistemic planning in DEL is undecidable in general (even for one agent).
        </div>


    </div>
</body>